- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MyMessageHandler Class Reference

`#include <MyMessageHandler.hpp>`

Inheritance diagram for MyMessageHandler:

[legend]
Collaboration diagram for MyMessageHandler:

[legend]
List of all members.

## Public Member Functions
Overrides
virtual int | print ()
| Print message, return 0 normally.
set and get
const ClpSimplex * | model () const
| Model.
void | setModel (ClpSimplex *model)
| Model.
const std::deque< StdVectorDouble > & | getFeasibleExtremePoints () const
| Get queue of feasible extreme points.
void | clearFeasibleExtremePoints ()
| Empty queue of feasible extreme points.
Constructors, destructor
| MyMessageHandler ()
| Default constructor.
| MyMessageHandler (ClpSimplex *model, FILE *userPointer=NULL)
| Constructor with pointer to model.
virtual | ~MyMessageHandler ()
| Destructor.
Copy method
| MyMessageHandler (const MyMessageHandler &)
| The copy constructor.
| MyMessageHandler (const CoinMessageHandler &)
| The copy constructor from an CoinSimplexMessageHandler.
MyMessageHandler & | operator= (const MyMessageHandler &)
| The copy constructor.
virtual CoinMessageHandler * | clone () const
| Clone.
## Protected Attributes
Data members
The data members are protected to allow access for derived classes.
ClpSimplex * | model_
| Pointer back to model.
std::deque< StdVectorDouble > | feasibleExtremePoints_
| Saved extreme points.
int | iterationNumber_
| Iteration number so won't do same one twice.

## Detailed Description

Definition at line 26 of file MyMessageHandler.hpp.

## Constructor & Destructor Documentation

MyMessageHandler::MyMessageHandler | ( |  | ) |

Default constructor.

MyMessageHandler::MyMessageHandler | ( | ClpSimplex * | model,
|  | FILE * | userPointer = `NULL` |
| ) |  |  |

Constructor with pointer to model.

virtual MyMessageHandler::~MyMessageHandler | ( |  | ) | `[virtual]`

Destructor.

MyMessageHandler::MyMessageHandler | ( | const MyMessageHandler & |  | ) |

The copy constructor.

MyMessageHandler::MyMessageHandler | ( | const CoinMessageHandler & |  | ) |

The copy constructor from an CoinSimplexMessageHandler.

## Member Function Documentation

virtual int MyMessageHandler::print | ( |  | ) | `[virtual]`

Print message, return 0 normally.

Reimplemented from CoinMessageHandler.

const ClpSimplex* MyMessageHandler::model | ( |  | ) | const

Model.

void MyMessageHandler::setModel | ( | ClpSimplex * | model | ) |

Model.

const std::deque<StdVectorDouble>& MyMessageHandler::getFeasibleExtremePoints | ( |  | ) | const

Get queue of feasible extreme points.

void MyMessageHandler::clearFeasibleExtremePoints | ( |  | ) |

Empty queue of feasible extreme points.

MyMessageHandler& MyMessageHandler::operator= | ( | const MyMessageHandler & |  | ) |

The copy constructor.

virtual CoinMessageHandler* MyMessageHandler::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from CoinMessageHandler.

## Member Data Documentation

ClpSimplex* MyMessageHandler::model_`[protected]`

Pointer back to model.

Definition at line 73 of file MyMessageHandler.hpp.

std::deque<StdVectorDouble> MyMessageHandler::feasibleExtremePoints_`[protected]`

Saved extreme points.

Definition at line 75 of file MyMessageHandler.hpp.

int MyMessageHandler::iterationNumber_`[protected]`

Iteration number so won't do same one twice.

Definition at line 77 of file MyMessageHandler.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.2/Clp/src/MyMessageHandler.hpp